/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.    
 */
package org.apache.tuscany.sca.itest.oneway;


import org.oasisopen.sca.annotation.OneWay;
import org.oasisopen.sca.annotation.Remotable;


/**
 * The service interface used when testing @OneWay interactions.
 *
 * @version $Rev: 905553 $ $Date: 2010-02-02 01:40:38 -0800 (Tue, 02 Feb 2010) $
 */
@Remotable
public interface OneWayService {

    /**
     * This OneWay method will increment the callCount by 1.
     * 
     * @param count Not used
     */
    @OneWay
    void doSomething(int count);

    /**
     * This one way method will throw a NullPointerException.
     */
    @OneWay
    void doSomethingWhichThrowsException();
}
