/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */
package org.apache.tuscany.sca.implementation.spring.runtime.context;

import org.springframework.beans.factory.config.ConfigurableListableBeanFactory;
import org.springframework.beans.factory.support.DefaultListableBeanFactory;
import org.springframework.context.ApplicationContext;
import org.springframework.context.support.GenericApplicationContext;

public class SCAGenericApplicationContext extends GenericApplicationContext {

	 ClassLoader classloader = null;
	 
	 public SCAGenericApplicationContext(DefaultListableBeanFactory beanFactory, 
             							 ApplicationContext parent,
             							 ClassLoader classloader) {
		 super(beanFactory, parent);
		 this.classloader = classloader;
	 }
	 
	 public SCAGenericApplicationContext(ApplicationContext parent,
				 						 ClassLoader classloader) {
		 super(parent);
		 this.classloader = classloader;
	 }

	 @Override
	 protected void postProcessBeanFactory (ConfigurableListableBeanFactory beanFactory) {
		 beanFactory.setBeanClassLoader(classloader);
	 }
}
